AurionAI Docs

Get Cs Credentials Internal

Get CS provider credentials - internal use only (no auth). Used by LiveKit Agent MCP subprocess to get CS provider credentials. Returns empty dict if no CS provider configured. WARNING: Returns actual credentials. Only accessible from K8s cluster. Issue #398 S4: changed from fail-open to fail-closed.

GET
/api/internal/configuration/cs-credentials

Get CS provider credentials - internal use only (no auth).

Used by LiveKit Agent MCP subprocess to get CS provider credentials. Returns empty dict if no CS provider configured. WARNING: Returns actual credentials. Only accessible from K8s cluster. Issue #398 S4: changed from fail-open to fail-closed.

Header Parameters

X-Internal-Secret?string|null

Response Body

application/json

application/json

curl -X GET "https://loading/api/internal/configuration/cs-credentials"
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}